/* winbind_auth header file 

   Shirish Kalele 2000
*/

#ifdef HAVE_FEATURES_H
#include <features.h>
#endif

#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <syslog.h>
#include <stdarg.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>

#include <config.h>

#include "winbind_nss_config.h"
#include "winbindd_nss.h"

int winbind_auth_request(const char *user, const char *domain, const char *pass,
	size_t *len, void **blob);

int winbind_auth_chal_request(const char *user, const char *domain, 
			char *chal, int chal_len,
			char *lm_pw, int lm_pw_len,
			char *nt_pw, int nt_pw_len,
			size_t *len, void **blob);

