/* 
   Unix SMB/Netbios implementation.
   Version 2.0.

   This code comes directly from the ssh-1.2.27 sources.
   
*/

#ifndef MD5_H
#define MD5_H

struct MD5Context
{
	uint32 buf[4];
	uint32 bits[2];
	unsigned char in[64];
};


void MD5Init(struct MD5Context *ctx);
void MD5Update(struct MD5Context *ctx, uchar const *buf, unsigned len);
void MD5Final(uchar digest[16], struct MD5Context *ctx);
void MD5Transform(uint32 buf[4], const uchar inext[64]);

#endif /* !MD5_H */
