/*
   Rtl* functions as on Windows
   Copyright (C) Elrond <elrond@samba-tng.org> 2004

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
/* MKPROTO: libsamba_proto.h		(do not remove this line) */

#include "includes.h"
#include "libsamba.h"

WCHAR RtlUpcaseUnicodeChar(WCHAR c)
{
	return toupper_w(c);
}

void RtlFreeUnicodeString(UNICODE_STRING *str)
{
	if (str->MaximumLength)
		safe_free(str->Buffer);
	str->Buffer = NULL;
	str->MaximumLength = 0;
	str->Length = 0;
}
